---
- name: Recuperando usuario responsavel pelo build
  set_fact:
    userbuild: "{{ item }}"
  when: item.name == "gobuild"
  with_items: "{{ paths.users }}"

- name: Instalacao de pre-requisitos
  include_tasks: requirements.yml

- name: Recuperando artefato do servico
  shell: wget https://{{ user_repo }}:{{ pass_repo }}@bitbucket.org/maxmilhas/{{ user_vars.application.repo }}/downloads/{{ user_vars.application.artifact }}
  args:
    chdir: "{{ userbuild.path }}"
    warn: false

- name: Recuperando artefato para criptografia de credenciais
  shell: wget https://{{ user_repo }}:{{ pass_repo }}@bitbucket.org/maxmilhas/encpack/downloads/encpack-1.0.bb4f867
  args:
    chdir: "{{ userbuild.path }}"
    warn: false

- name: Alterando permissoes no arquivo responsavel pela geracao do token de acesso
  file:
    path: "{{ userbuild.path }}/encpack-1.0.bb4f867"
    owner: root
    group: root
    mode: 0700

- name: Gerando o token de acesso
  shell: "{{ userbuild.path }}/encpack-1.0.bb4f867 -user={{ user_repo }} -pass={{ pass_repo }}" 

- name: Excluindo artefato 
  file: 
    path: "{{ userbuild.path }}/encpack-1.0.bb4f867"
    state: absent

- name: Alterando permissoes no arquivo responsavel pela geracao do token de acesso
  file:
    path: "{{ userbuild.path }}/{{ user_vars.application.artifact }}"
    owner: "{{ userbuild.username }}"
    group: "{{ userbuild.username }}"
    mode: 0700

- name: Gerando template para execucao do servico
  template: 
    src: run.j2
    dest: /ansible/main.yml
    owner: "{{ userbuild.username }}"
    group: "{{ userbuild.username }}"
    mode: 0700
    